Toggle menu
Toggle preferences menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.
Revision as of 00:48, 10 December 2024 by Redheadkelly (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
/* From Tolkien Gateway */
.infobox {
    position: relative;
    width: 320px;
    padding: 16px 0;
    border: var(--tg-border-base);
    border-radius: var(--tg-border-radius-large);
    border-spacing: 0;
    color: var(--tg-color-base);
    background-color: var(--tg-color-surface-2);
    line-height: var(--tg-line-height-xx-small);
    font-size: var(--tg-font-size-small);
}

.infobox th,
.infobox td {
    padding: 0; /* Remove default padding */
    vertical-align: top;
}

.infobox tr > *:first-child {
    padding-left: 16px;
}

.infobox tr > *:last-child {
    padding-right: 16px;
}

.infobox .infobox-title {
    font-size: var(--tg-font-size-x-large);
    padding-bottom: 4px;
}

.infobox-title,
.infobox-header {
    color: var(--tg-color-emphasized);
}

.infobox-title,
.infobox-subtitle {
    line-height: var(--tg-line-height-xxx-small);
}

.infobox .infobox-image {
    border-top-left-radius: var(--tg-border-radius-large);
    border-top-right-radius: var(--tg-border-radius-large);
    padding: 0 !important;
    transform: translateY(-16px);
    overflow: hidden;
}

.infobox-image > figure,
.infobox-image > figure > figcaption {
    /* Reset styles from other skins */
    border: 0;
    padding: 0;
    background: transparent;
    box-shadow: none;
}

.infobox-image > figure {
    margin-top: 0;
    margin-bottom: 0;
    overflow: hidden;
}

.infobox-image .mw-file-description {
    border-radius: var(--tg-border-radius-sharp) !important;
}

.infobox-image > figure > figcaption {
    padding-left: 16px;
    padding-right: 16px;
    text-align: center;
}

.infobox-image > figure > a::after,
.infobox-image > figure > figcaption::before {
    /* Remove link icon */
    content: none;
}

.infobox-image > figure img {
    margin: 0;
    border: 0;
}

.infobox-image,
.infobox-subtitle,
.infobox-caption {
    text-align: center;
}

.infobox-subtitle,
.infobox-caption {
    color: var(--tg-color-subtle);
    font-size: var(--tg-font-size-x-small);
}

.infobox .infobox-caption {
    padding-top: 4px;
    padding-bottom: 4px;
}

.infobox .infobox-header {
    padding-top: 12px;
    padding-bottom: 8px;
}

.infobox-header:not(.infobox-title) span {
    display: flex;
    align-items: center;
    gap: 1rem;
    white-space: nowrap;
    color: var(--tg-color-subtle);
    font-size: var(--tg-font-size-x-small);
    font-weight: var(--tg-font-weight-regular);
}

.infobox-header:not(.infobox-title) span:before,
.infobox-header:not(.infobox-title) span:after {
    content: " ";
    height: 1px;
    width: 100%;
    background-color: var(--tg-border-color-base);
}

.infobox .infobox-data,
.infobox .infobox-label {
    padding: 8px;
}

.infobox-label {
    text-align: start;
    vertical-align: top;
}

@media (max-width: 640px) {
    .infobox {
        width: 100%;
    }

    .infobox-image > figure {
        margin-top: 16px;
    }
}

/* From Wikipedia Module:Infobox/styles.css */

.infobox-subbox {
	padding: 0;
	border: none;
	margin: -3px;
	width: auto;
	min-width: 100%;
	font-size: 100%;
	clear: none;
	float: none;
	background-color: transparent;
}

.infobox-3cols-child {
	margin: auto;
}

.infobox-navbar {
	font-size: 100%;
}

.infobox-header,
.infobox-subheader,
.infobox-above,
.infobox-title,
.infobox-image,
.infobox-full-data,
.infobox-below {
	text-align: center;
}